Subject: RE: [mobile-ip] Fast handovers - proposal for moving forward

From: Phil Roberts <[email-masked]>
Date: Thu, 18 Jul 2002 01:18:54 -0400

> -----Original Message-----
> From: Hesham Soliman (EAB) [mailto:[email-masked]]
> Sent: Wednesday, July 17, 2002 12:52 PM
> To: [email-masked]
> Subject: [mobile-ip] Fast handovers - proposal for moving forward
> 
> 
> Hi, 
> 
> I didn't have enough time in the meeting to explain
> clearly what I meant when we discussed Phil's proposal. 
> Since I suddenly have excellent WLAN coverage in the 
> room, I'll try to do it now!
> 
> First of all, I'm not sure that the WG is actually
> split. In fact, after reading all emails, I think we 
> agree on many issues. Let me try to list them and 
> see if I'm right. I think we agree on the following:
> 
> - L2 triggers will make Fast handovers perform better. 
> - L2 triggers are needed.
> - We need an access independent solution.
> 
> But we disagree on the level of detail at which L2 triggers 
> should be included in the draft, and the value of tunnel-based
> handover (I think). 
> 
> So, to make my comment clear, I wasn't not against
> Phil's proposal to have a separate draft for Fast
> Handovers in 802.11. I was only against the implicit
> content of such document. 
> 
> I think that the current draft (v5) provides an 
> access independent framework for Fast handovers, 
> assuming some hints from lower layers, like 
> L2 (in the MN or the AR depending on the type
> of link) knows that handover is about to happen
> and will inform the IP layer. I believe that's 
> about as far as the doc needs to say. However, 
> to get this stuff deployed and make it useful, 
> more detail is needed. But I don't think that 
> this draft can possibly include all the details 
> relevant to all link layers. This is where Fast
> Handovers over foo documents would be needed. 
> 
> These documents can show exactly what triggers 
> are needed, and how to integrate FMIPv6 signalling
> at the right time. Frankly, even if the current
> draft shows some names for L2 triggers, I don't
> think it would be useful. We need more detail
> for each link layer.
> 
> So, to this extent, I think that an FMIPv6 over
> 802.11 doc is needed. But I definitely don't think we should 
> do a different IP layer protocol standardised for each link
> layer. I believe it is unnecessary, let alone
> defeats the purpose of doing any fast handover scheme
> on the IP layer. 
> 
> Does this make sense to anyone ? 
> I wish we had a show of hands during the meeting but
> there was no time to discuss it, because I don't think 
> the WG is very divided on this actually. 

Makes perfect sense.  I read the sense of the working
group differently than you do, but as in many things
YMMV.

It appears I wasn't clear about my intentions for the
document.  I agree there should not be a different IP
layer protocol standardized for each link layer, and for
a new draft, I'd want it to take a subset of what is in the
larger spec.  The end goal, as I tried to say, is a base fho spec
with specific applicability to various underlying technologies
in separate docs.  This is a pragmatic step to solve a subset
of the problem as a means to the eventual end goal.

Phil

> Hesham